Subject: Re: linux-next: build failure after merge of the scsi-mkp tree

From: Bart Van Assche <[email-masked]>
Date: Tue, 17 Aug 2021 20:07:07 -0700

On 8/17/21 2:51 AM, John Garry wrote:
> sorry... I only built x86 and arm64 allmodconfig. Let me check this.

Build testing for tree-wide changes is tricky. You may want to use a
build bot for such testing. From
https://01.org/lkp/documentation/0-day-test-service:

Q: Which git tree and which mailing list will be tested? How can I
opt-in or opt-out from it?

A: 0-Day monitors hundreds of git trees and tens of mailing lists. You
can obtain detailed tree and mailing list information from the source
code under the lkp-tests/repo directory. If you want to add or remove
your tree from the 0-Day test system, send an email to the LKML,
specifying your git tree URL.

Bart.